import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Kist die door de bulldozer wordt verschoven
 */
public class Kist extends Beweger {
    /**
     * Kan deze kist verschoven worden in de opgegeven richting?
     */    
    public boolean kanBewegen(int richting) {
        return buur(richting) == null;
    }
    
    /**
     * Verschuif de kist in de opgegeven richting.
     */
    public void verschuif(int richting) {
        setRotation(richting);
        move (1);
        setRotation(0); // zorg ervoor dat de afbeelding niet meedraait met de beweging
    }
    
    /**
     * Pas de kleur aan wanneer bovenop een doelpunt
     */
    public void act() {
        if (isTouching(Doel.class)) {
            setImage ("kist-donker.png");
        } else {
            setImage ("kist.png");
        }
    }
}
